#cheque-class {
    display: grid;
    grid-template-areas: "tbl mnu";
    grid-template-columns: auto 1fr;
    /* grid-template-rows: 96vh; */
}

/* #cheque-class > .tipos-class { grid-area: tip;  } */

#cheque-class>.menu-class {
    grid-area: mnu;
    /* background: rgba(4, 9, 20, 0.03); */
}

.k-icon.k-i-loading {
    font-size: 10rem;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

a, a:hover, a:focus {
    color: inherit;
    text-decoration: none;
    transition: all 0.3s;
}

.tab1-class {
    /* overflow-x: hidden;
    overflow-y: auto;
    height: 72vh; */
}

.txt-size {
    font-size: 0.7rem !important;
}

#help-mesa {
    width: 100%;
    height: 71vh;
}

@media print {
    body, html, .forPrint {
        width: 100%;
        height: 100%;
    }
}

.card-size {
    line-height: 2rem;
}

@media screen and (min-width: 600px) {
    .scroll2 {
        overflow-y: auto auto;
        overflow-x: hidden;
        height: 70vh !important;
    }
    #cheque-class {
        display: grid;
        grid-template-areas: "tbl mnu";
        grid-template-columns: auto 1fr;
        /* grid-template-rows: 96vh; */
        background: transparent;
    }
    #cheque-class>.table-class {
        grid-area: tbl;
        background: white;
    }
    #cheque-class>.tipos-class {
        grid-area: tip;
    }
    #cheque-class>.menu-class {
        grid-area: mnu;
    }
    .body-section-transfer {
        height: 70vh !important;
        overflow-y: auto;
        overflow-x: hidden;
    }
}

@media screen and (min-width: 768px) {
    .scroll2 {
        overflow-y: auto auto;
        overflow-x: hidden;
        height: 70vh !important;
    }
    #cheque-class {
        display: grid;
        grid-template-areas: "tbl mnu";
        grid-template-columns: auto 1fr;
        /* grid-template-rows: 96vh; */
        background: transparent;
    }
    #cheque-class>.table-class {
        grid-area: tbl;
        min-width: 37vw;
        background: white;
    }
    #cheque-class>.tipos-class {
        grid-area: tip;
    }
    #cheque-class>.menu-class {
        grid-area: mnu;
    }
    .body-section {
        height: 73vh !important;
        overflow-y: auto;
        overflow-x: hidden;
    }
    .scroll-menu {
        height: 86vh !important;
        overflow-y: auto;
        overflow-x: hidden;
    }
    .scroll-cards {
        height: 78vh !important;
        overflow-y: auto;
        overflow-x: hidden;
    }
    .body-section-transfer {
        height: 72vh !important;
        overflow-y: auto;
        overflow-x: hidden;
    }
    .padding {
        padding-top: 5px;
        padding-bottom: 5px;
    }
}

@media screen and (min-width: 900px) {
    #cheque-class {
        display: grid;
        grid-template-areas: "tbl mnu";
        grid-template-columns: auto 1fr;
        /* grid-template-rows: 96vh; */
        background: transparent;
    }
    #cheque-class>.table-class {
        grid-area: tbl;
        background: white;
        min-width: 29vw;
    }
    #cheque-class>.tipos-class {
        grid-area: tip;
    }
    #cheque-class>.menu-class {
        grid-area: mnu;
    }
    .body-section {
        height: 73vh !important;
        overflow-y: auto;
        overflow-x: hidden;
    }
    .scroll-menu {
        height: 82vh !important;
        overflow-y: auto;
        overflow-x: hidden;
    }
    .scroll-cards {
        height: 75vh !important;
        overflow-y: auto;
        overflow-x: hidden;
    }
    .padding {
        padding-top: 5px;
        padding-bottom: 5px;
    }
    .body-section-transfer {
        height: 63vh !important;
        overflow-y: auto;
        overflow-x: hidden;
    }
}

@media screen and (min-width: 1024px) {
    #cheque-class {
        display: grid;
        grid-template-areas: "tbl mnu";
        grid-template-columns: auto 1fr;
        /* grid-template-rows: 96vh; */
        background: transparent;
    }
    #cheque-class>.table-class {
        grid-area: tbl;
        min-width: 29vw;
        background: white;
    }
    #cheque-class>.tipos-class {
        grid-area: tip;
    }
    #cheque-class>.menu-class {
        grid-area: mnu;
    }
    .body-section {
        height: 62vh !important;
        overflow-y: auto;
        overflow-x: hidden;
    }
    .body-section-transfer {
        height: 70vh !important;
        overflow-y: auto;
        overflow-x: hidden;
    }
}

@media screen and (min-width: 1200px) {
    #cheque-class {
        display: grid;
        grid-template-areas: "tbl mnu";
        grid-template-columns: auto 1fr;
        /* grid-template-rows: 96vh; */
        background: transparent;
    }
    #cheque-class>.table-class {
        grid-area: tbl;
        min-width: 28vw;
        background: white;
        /* height: 82vh; */
        border-radius: 0.6rem;
    }
    #cheque-class>.tipos-class {
        grid-area: tip;
    }
    #cheque-class>.menu-class {
        grid-area: mnu;
    }
    .scroll-menu {
        overflow-y: auto;
        overflow-x: hidden;
        height: 82vh !important;
    }
    .scroll-cards {
        overflow-y: auto;
        overflow-x: hidden;
        height: 74vh !important;
    }
    .body-section {
        overflow-y: auto;
        overflow-x: hidden;
        height: 52vh !important;
    }
    .body-section-transfer {
        height: 63vh !important;
        overflow-y: auto;
        overflow-x: hidden;
    }
    .padding {
        padding-top: 0px;
        padding-bottom: 0px;
    }
}

/* @media screen and (min-width: 1366px) {
    #cheque-class {
        display: grid;
        grid-template-areas: "tbl mnu";
        grid-template-columns: auto 1fr;
        background: transparent;
    }
    #cheque-class>.table-class {
        grid-area: tbl;
        min-width: 28vw;
    }
    #cheque-class>.tipos-class {
        grid-area: tip;
    }
    #cheque-class>.menu-class {
        grid-area: mnu;
    }
    .scroll-menu {
        overflow-y: auto;
        overflow-x: hidden;
        height: 86vh !important;
    }
    .scroll-cards {
        overflow-y: auto;
        overflow-x: hidden;
        height: 81vh !important;
    }
    .body-section {
        overflow-y: auto;
        overflow-x: hidden;
        height: 61vh !important;
    }
    .body-section-transfer {
        height: 71vh !important;
        overflow-y: auto;
        overflow-x: hidden;
    }
    .padding {
        padding-top: 0px;
        padding-bottom: 0px;
    }
} */

.badge {
    font-size: 0.85rem;
    padding: 5px;
}

/* .body-section-transfer {
    overflow-y: auto;
    overflow-x: hidden;
    height: 63vh;
} */

.tbl-comanda>.table th, .table td {
    padding: 0.75rem;
    vertical-align: middle;
    border-top: 1px solid #ffffff29;
}

.scroll-modific {
    overflow-y: auto;
    overflow-x: hidden;
    height: 60vh !important;
}

.total-class {
    font-size: 11.50px;
    font-family: monospace;
}

.card-body {
    padding: 0.75rem;
}

.card-footer {
    padding: 0;
    background-color: rgba(230, 230, 230, 0.42);
    border-top: 1px solid rgba(0, 0, 0, .125);
}